[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

package-uses-debhelper-but-lacks-build-depends ????



Dear All,

I am in the process of packaging a new package toward closing ITP ;-)
and although I defined Build-Depends to depend on debhelper, lintian is
not happy anyways.... What is my problem???

binaries are from
http://itanix.rutgers.edu/rumba/dists/unstable/perspect/binary-i386/science/
sources (and diff)
http://itanix.rutgers.edu/rumba/dists/unstable/perspect/source/science/

package pyepl 

lintian reports:

W: pyepl source: dh-make-template-in-source debian/python-pyepl.doc-base.EX
that is ok - I will work on documentation in the next step

E: pyepl source: package-uses-debhelper-but-lacks-build-depends
> grep debhelper  debian/control
Build-Depends: debhelper (>= 4.0.0), .........

W: pyepl source: maintainer-upload-has-incorrect-version-number 1.0.9-0.2
that is ok -- it is my versioning toward -1 ;-)

E: python2.4-pyepl: shlib-with-non-pic-code usr/lib/python2.4/site-packages/pyepl/hardware/sound/_eplSound.so
E: python2.3-pyepl: shlib-with-non-pic-code usr/lib/python2.3/site-packages/pyepl/hardware/sound/_eplSound.so
and that is a mistery as well... description of shlib-with-non-pic-code
doesn't really seem to provide an answer to what is happening -- I don't
see those switches in Makefiles... 
anyways probably it is time to go to bad ;-))) 

Thank you for any hints
-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]


Attachment: pgpzeGxkij3bk.pgp
Description: PGP signature


Reply to: